# Generated by Django 4.0.3 on 2024-05-01 22:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BinVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('closet_name', models.CharField(max_length=100, null=True)),
                ('bin_number', models.PositiveSmallIntegerField(null=True)),
                ('bin_size', models.PositiveSmallIntegerField(null=True)),
                ('import_href', models.CharField(max_length=200, null=True, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Shoes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('manufacturer', models.TextField(max_length=100)),
                ('model', models.CharField(max_length=100)),
                ('color', models.TextField(max_length=100)),
                ('picture', models.URLField()),
                ('bin', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bin', to='shoes_rest.binvo')),
            ],
        ),
    ]
